Bug 1545147 - While creating SNS topic exception in log
Summary: While creating SNS topic exception in log
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Ladislav Smola
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ec2:provider
: 1561640 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-14 11:21 UTC by Matouš Mojžíš
Modified: 2019-02-07 23:01 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:05 UTC
Category: ---
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:10 UTC

Description Matouš Mojžíš 2018-02-14 11:21:05 UTC
Description of problem:


Version-Release number of selected component (if applicable):
5.9.0.20

How reproducible:
Always

Steps to Reproduce:
1. Add ec2 provider without created AWSConfig topic to CFME
2.
3.

Actual results:
[NoMethodError]: undefined method `arn' for true:TrueClass  Method:[block in method_missing]

Expected results:


Additional info:

Comment 3 CFME Bot 2018-02-15 15:13:18 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/master:
https://github.com/ManageIQ/manageiq-providers-amazon/commit/2c29f8747ac0c88cd08a20affbb237d6ccdb905c

commit 2c29f8747ac0c88cd08a20affbb237d6ccdb905c
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Wed Feb 14 13:36:48 2018 +0100
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Wed Feb 14 13:36:48 2018 +0100

    Return created topic
    
    Return created topic instead of log.info, which always returns true.
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1545147

 .../manageiq/providers/amazon/cloud_manager/event_catcher/stream.rb    | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Comment 4 Bronagh Sorota 2018-04-17 12:03:34 UTC
*** Bug 1561640 has been marked as a duplicate of this bug. ***

Comment 5 Matouš Mojžíš 2018-07-12 10:31:49 UTC
Verified in 5.10.0.3. There are no errors in log while creating SNS topic automatically by CFME.

Comment 6 errata-xmlrpc 2019-02-07 23:01:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.